/* This file is part of Cloudy and is copyright (C)1978-2014 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */
#include "cddefines.h"
#include "timesc.h"
t_timesc timesc;

void t_timesc::zero()
{
	/* age of the cloud, to check for time-steady */
	CloudAgeSet = -1.f;
	/* some timescale for CO and H2 */
	time_H2_Dest_longest = 0.;
	time_H2_Form_longest = 0.;
	/* remains neg if not evaluated */
	time_H2_Dest_here = -1.;
	time_H2_Form_here = 0.;

	BigCOMoleForm = 0.;

	TimeH21cm = 0.;
	sound_speed_isothermal = 0.;	
}
